Bug 1045584 - Adding management/monitoring support for storage client
Summary: Adding management/monitoring support for storage client
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server, Storage Node
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: GA
: RHQ 4.10
Assignee: John Sanda
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-20 19:09 UTC by John Sanda
Modified: 2014-04-23 12:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-23 12:29:47 UTC


Attachments (Terms of Use)

Description John Sanda 2013-12-20 19:09:23 UTC
Description of problem:
RHQ currently does not expose any management/monitoring support for the storage client subsystem. The DataStax driver exposes a number of useful metrics that we may be good to incorporate into the RHQ Server (agent) plugin. And now that the work for bug 1009945 is in master, we may also want to add support for managing the new throttling implementation.

We currently have the metrics with the DataStax driver disabled and should not enable them until https://datastax-oss.atlassian.net/browse/JAVA-232 is resolved. See comment 10 of bug 1025767 for more details on how this affects RHQ.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 John Sanda 2014-02-19 04:02:23 UTC
I have added some initial management support for the storage client subsystem, which has been added to the RHQ Server agent plugin. The resource configuration currently exposes storage client throttling settings. And there are a couple of metrics that are exposed as well. Once version 1.0.6 of the DataStax driver is out, we will be able to add some other interesting metrics. There are some other settings that could be exposed such as read and connection timeouts and number of threads/connections to maintain per host.

master commit hash: 1e71d84b3

Comment 2 Heiko W. Rupp 2014-04-23 12:29:47 UTC
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.


Note You need to log in before you can comment on or make changes to this bug.